Subject: PUBLIC "-//IETF//DTD CNRP 1.0//EN"

From: "Frank Ellermann" <[email-masked]>
Date: Thu, 17 Jul 2008 14:18:33 +0200

Hi, I stumbled over an article about "SocialDNS" with a
proposal of a new go: URI scheme, and one reply pointed
out that another go: is defined in RFCs 3368 and 3367.

RFC 3367 contains a DTD for queries to and anserws from
go-servers, it has a PUBLIC "-//IETF//DTD CNRP 1.0//EN"
identifier.  Several examples use the system identifier 
"http://ietf.org/dtd/cnrp-1.0.dtd", which doesn't exist.

In theory I'd know how to fix that, send a request to
IANA for a corresponding URN, and as a side effect IANA
would store the DTD "somewhere".  The URI of this file
could then be used as system identifier, and submitted
as erratum to fix the RFC 3367 examples.

But something with this theoretical procedure is odd:

Why create an IETF URN only to get an IETF URI ?  The
URN is in practice useless, there is no resolver.  The
URI is in theory a good system identifier, but IANA
would need to know that they are not supposed to move
the DTD, forever.  

For the RFC 2070 DTD I ignored this, the rules are the
rules, and if they somehow do what is needed it's good
enough.  But now I wonder if those rules for IETF DTDs
and other schemas are actually broken.

 Frank

_______________________________________________
Apps-Discuss mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/apps-discuss